package com.fr.plugin.xx.theme.sky;

import com.fr.general.CloudCenter;
import com.fr.invoke.Reflect;
import com.fr.invoke.ReflectException;

/**
 * @author k
 * @Project name finereport10
 * @description:
 * @created on 2020/1/7 17:24.
 * @email xx.xx@qq.com
 * @Modified By
 */
public enum Client {
		SERVER("server"),
		REPORT("report"),
		DESIGNER("designer"),
		BI("bi"),
		UNKNOWN("unknown");

		private String text;

		private Client(String var3) {
			this.text = var3;
		}

		public static Client parse() {
			Class var0 = null;

			try {
				try {
					var0 = Reflect.on("com.fr.start.Designer").get();
				} catch (ReflectException var4) {
				}

				if (var0 != null) {
					return DESIGNER;
				} else {
					try {
						var0 = Reflect.on("com.finebi.web.constant.FineWebConstant").get();
					} catch (ReflectException var3) {
					}

					if (var0 != null) {
						return BI;
					} else {
						try {
							var0 = Reflect.on("com.fr.report.report.Report").get();
						} catch (ReflectException var2) {
						}

						return var0 != null ? REPORT : SERVER;
					}
				}
			} catch (Throwable var5) {
				return UNKNOWN;
			}
		}

		@Override
		public String toString() {
			return this.text;
		}

}
